#As/At: Server - Fired upon reload

# Duplicate the lines below for each spell you create. Remove the # in front and fill in the #####

#data modify storage bertiecrafter:mpp SpellsMeta append value {}
#data modify storage bertiecrafter:mpp SpellsMeta[-1].Id set value "#####"
#data modify storage bertiecrafter:mpp SpellsMeta[-1].Title set value '{"text":"#####","color":"green"}'
#data modify storage bertiecrafter:mpp SpellsMeta[-1].Author set value '{"text":"By #####","color":"gray","italic":false}'
#data modify storage bertiecrafter:mpp SpellsMeta[-1].Phrase set value "#####"
#data modify storage bertiecrafter:mpp SpellsMeta[-1].SpellColor set value "#####"
#data modify storage bertiecrafter:mpp SpellsMeta[-1].Timeout set value #####
#data modify storage bertiecrafter:mpp SpellsMeta[-1].Description append value '{"text":"#####","color":"gray","italic":false}'
#data modify storage bertiecrafter:mpp SpellsMeta[-1].CustomModelData set value 300000
#data modify storage bertiecrafter:mpp SpellsMeta[-1].RayType set value "linear"
#data modify storage bertiecrafter:mpp SpellsMeta[-1].RayRange set value 240
#data modify storage bertiecrafter:mpp SpellsMeta[-1].ProjectileGravity set value "normal"
#data modify storage bertiecrafter:mpp SpellsMeta[-1].RayPiercing set value false


# Id				Globally unique id, generate using https://www.uuidgenerator.net/
# Title				A describing name of your spell. Used as name of the spell item.
#						Color should be one of:
#						black, dark_blue, dark_green, dark_aqua, dark_red, dark_purple, gold, gray, dark_gray, blue, green, aqua, red, light_purple, yellow, white
# Author			Your in-game name for credit. Should remain gray.
# Phrase			A magically sounding phrase that the player will say in chat when your spell is used. Allows the opponent to anticipate the spell.
# SpellColor		Color of spell item
#						Should be one of:
#						white, orange, magenta, light_blue, yellow, lime, pink, light_gray, cyan, purple, blue, brown, green, red, black
# Timeout			The delay before the spell can be used again in ticks (20 ticks = 1 second)
# Description		A description for the spell. Repeat this command for each line, should remain gray.
# CustomModelData	Can be used in resource packs to overwrite textures only for this item. If 0, defaults to 300 000.
# RayType			linear, hitscan, projectile
# RayRange			default 240 [1..500]
# ProjectileGravity	ultralow, low, normal, high, ultrahigh
# RayPiercing		true, false (ONLY with hitscan spells)

# icons: 🗡⚔🏹🛡⌛🔥☁🌊☘⚡❄☄☠🪓⛏⚒🧪❤☢☣♻⚜⚙

# quick atk
data modify storage bertiecrafter:mpp SpellsMeta append value {}
data modify storage bertiecrafter:mpp SpellsMeta[-1].Id set value "fksimple.spell.001"
data modify storage bertiecrafter:mpp SpellsMeta[-1].Title set value '{"text":"Missile","color":"gold","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Author set value '{"text":"By FunkyToc","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Phrase set value "Missile!"
data modify storage bertiecrafter:mpp SpellsMeta[-1].SpellColor set value "orange"
data modify storage bertiecrafter:mpp SpellsMeta[-1].Timeout set value 10
data modify storage bertiecrafter:mpp SpellsMeta[-1].Description append value '{"text":"Quick and accurate projectile","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Description append value '{"text":"🗡 6   ⌛ 0,5s   ☘ earth","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].CustomModelData set value 300000
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayRange set value 240
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayType set value "linear"
data modify storage bertiecrafter:mpp SpellsMeta[-1].ProjectileGravity set value "low"
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayPiercing set value false

# fire atk
data modify storage bertiecrafter:mpp SpellsMeta append value {}
data modify storage bertiecrafter:mpp SpellsMeta[-1].Id set value "fksimple.spell.002"
data modify storage bertiecrafter:mpp SpellsMeta[-1].Title set value '{"text":"Fireball","color":"red","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Author set value '{"text":"By FunkyToc","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Phrase set value "Fireball!"
data modify storage bertiecrafter:mpp SpellsMeta[-1].SpellColor set value "red"
data modify storage bertiecrafter:mpp SpellsMeta[-1].Timeout set value 160
data modify storage bertiecrafter:mpp SpellsMeta[-1].Description append value '{"text":"Burning splash attack","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Description append value '{"text":"🗡 12   ⌛ 8s   🔥 fire","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].CustomModelData set value 300000
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayRange set value 400
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayType set value "projectile"
data modify storage bertiecrafter:mpp SpellsMeta[-1].ProjectileGravity set value "normal"
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayPiercing set value false

# vision sup
data modify storage bertiecrafter:mpp SpellsMeta append value {}
data modify storage bertiecrafter:mpp SpellsMeta[-1].Id set value "fksimple.spell.003"
data modify storage bertiecrafter:mpp SpellsMeta[-1].Title set value '{"text":"Echoloc","color":"blue","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Author set value '{"text":"By FunkyToc","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Phrase set value "Echoloc!"
data modify storage bertiecrafter:mpp SpellsMeta[-1].SpellColor set value "light_blue"
data modify storage bertiecrafter:mpp SpellsMeta[-1].Timeout set value 200
data modify storage bertiecrafter:mpp SpellsMeta[-1].Description append value '{"text":"Echolocation with vibrations","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Description append value '{"text":"🗡 6   ⌛ 10s   ☁ Wind","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].CustomModelData set value 300000
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayRange set value 240
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayType set value "linear"
data modify storage bertiecrafter:mpp SpellsMeta[-1].ProjectileGravity set value "low"
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayPiercing set value false

# heal
data modify storage bertiecrafter:mpp SpellsMeta append value {}
data modify storage bertiecrafter:mpp SpellsMeta[-1].Id set value "fksimple.spell.004"
data modify storage bertiecrafter:mpp SpellsMeta[-1].Title set value '{"text":"Heal","color":"green","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Author set value '{"text":"By FunkyToc","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Phrase set value "Heal!"
data modify storage bertiecrafter:mpp SpellsMeta[-1].SpellColor set value "green"
data modify storage bertiecrafter:mpp SpellsMeta[-1].Timeout set value 400
data modify storage bertiecrafter:mpp SpellsMeta[-1].Description append value '{"text":"Instant individual heal","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].Description append value '{"text":"❤ 6   ⌛ 20s   🌊 water","color":"gray","italic":false}'
data modify storage bertiecrafter:mpp SpellsMeta[-1].CustomModelData set value 300000
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayRange set value 1
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayType set value "linear"
data modify storage bertiecrafter:mpp SpellsMeta[-1].ProjectileGravity set value "normal"
data modify storage bertiecrafter:mpp SpellsMeta[-1].RayPiercing set value false
